<?php

class WPBakeryShortCode_Module_Box extends WPBakeryShortCode {
    protected function content( $atts, $content = null){
        extract(shortcode_atts(array(
            'title' => '',
            "icon_type" => 'icon',
            'icon' => '',
            'image' => ''
        ), $atts));

        $image = $image != '' ? wp_get_attachment_image($image, 'large') : '';

        if( $icon_type == 'icon_font' ) {
            $img = "<i class='".$icon."'></i>";
        }else {
            $img = $image;
        }

        $content = wpb_js_remove_wpautop( $content, true );

        $result = "<div class='module'>
                        $img
                        <div class='content'>
                            <h3>$title</h3>
                            $content
                        </div>
                    </div>";

        return $result;
    }
}

vc_map( array(
    "name" => __('Module Box', 'nrgbusiness'),
    "description" => __("Module Box", 'nrgbusiness'),
    "base" => 'module_box',
    "icon" => "tt-icon module-box",
    "content_element" => true,
    "category" => __('NRGBusiness', 'nrgbusiness'),
    'params' => array(
        array(
            "type" => 'textfield',
            "param_name" => "title",
            "heading" => __("Title", 'nrgbusiness'),
            "value" => '',
            "holder" => 'div'
        ),
        array(
            'type' => 'dropdown',
            "param_name" => "icon_type",
            "heading" => __("Icon Type", 'nrgbusiness'),
            "value" => array(
                "Icon font" => "icon_font",
                "Icon image" => "icon_image"
            ),
            "std" => "icon_font",
        ),
        array(
            'type' => 'attach_image',
            "param_name" => "image",
            "heading" => __("Image Image", 'nrgbusiness'),
            "value" => '',
            "dependency" => Array("element" => "icon_type", "value" => array("icon_image"))
        ),
        array(
            'type' => 'iconpicker',
            "param_name" => "icon",
            "heading" => __("Icon", 'nrgbusiness'),
            "description" => "",
            'value' => '',
            'std' => 'fa fa-adjust', // default value to backend editor admin_label
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'iconsPerPage' => 4000, // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
            ),
            "std" => "fa fa-adjust",
            "dependency" => Array("element" => "icon_type", "value" => array("icon_font"))
        ),
        array(
            "type" => 'textarea_html',
            "param_name" => "content",
            "heading" => __("Content", 'nrgbusiness'),
            "value" => ''
        ),
        array(
            "type" => "textfield",
            "param_name" => "extra_class",
            "heading" => __("Extra Class", 'nrgbusiness'),
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'nrgbusiness'),
        )
    )
));